Subject: Re: bug#16593: 24.3.50; ruby-mode: align chained method calls on multiple lines

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Jan 2014 09:33:11 -0500

> Do you think it's not too late in the feature freeze to install a change
> like this, or should we wait until the trunk reopens?

It's up to you.

>> Apparently there is no more conflict in the BNF in this respect so the
>> disambiguation constraint (assoc ".") that's passed to it is ignored.
> Without that constraint there, SMIE showed warnings about ambiguities
> between ".", "," and "=". It somehow ignored the associativity, though.

That's normal.

The disambiguation constraints provide a bunch of constraints, and but only
the ones that resolve ambiguities are used.  The (assoc ".") being
together with other things, indicates not only that "." should be
associative (in case of ambiguity) but also its relative precedence
w.r.t other elements like , and =.

        Stefan